args "--no-version --no-help"

purpose "Transform raw audio to a different sample rate."

include(header.m4)

option "converter" C
#~~~~~~~~~~~~~~~~~~~
"choose converter type"
enum typestr = "type"
values = "best", "medium", "fastest", "zero_order_hold", "linear"
default = "medium"
optional

details = "
	best: This is a bandlimited interpolator derived from the
	mathematical sinc function and this is the highest quality
	sinc based converter, providing a worst case Signal-to-Noise
	Ratio (SNR) of 97 decibels (dB) at a bandwidth of 97%.

	medium: This is another bandlimited interpolator much like the
	previous one. It has an SNR of 97dB and a bandwidth of 90%. The
	speed of the conversion is much faster than the previous one.

	fastest: This is the fastest bandlimited interpolator and
	has an SNR of 97dB and a bandwidth of 80%.

	zero_order_hold: A Zero Order Hold converter (interpolated
	value is equal to the last value). The quality is poor but
	the conversion speed is blindlingly fast.

	linear: A linear converter. Again the quality is poor, but
	the conversion speed is blindingly fast.
"

include(channels.m4)
include(sample_rate.m4)
include(sample_format.m4)

option "dest-sample-rate" d
#~~~~~~~~~~~~~~~~~~~~~~~~~~
"sample rate to convert to"
int typestr = "rate"
default = "44100"
optional
